;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: Counter32_1.inc
;;   Version: 2.5, Updated on 2008/11/17 at 11:16:30
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the Counter32 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for Counter32_1 API's.
;--------------------------------------------------

Counter32_1_CONTROL_REG_START_BIT:         equ 0x01    ; Control register start bit
Counter32_1_INT_REG:                       equ 0x0df
Counter32_1_INT_MASK:                      equ 0x80


;--------------------------------------------------
; Constants for Counter32_1 user defined values
;--------------------------------------------------

Counter32_1_PERIOD:                        equ 0xffffffff
Counter32_1_COMPARE_VALUE:                 equ 0x0


;--------------------------------------------------
; Register Address Constants for Counter32_1
;--------------------------------------------------

Counter32_1_COUNTER_LSB_REG:           equ 0x50   ; DR0 Counter register
Counter32_1_COUNTER_ISB1_REG:          equ 0x54
Counter32_1_COUNTER_ISB2_REG:          equ 0x58
Counter32_1_COUNTER_MSB_REG:           equ 0x5c
Counter32_1_PERIOD_LSB_REG:            equ 0x51   ; DR1 Period register
Counter32_1_PERIOD_ISB1_REG:           equ 0x55
Counter32_1_PERIOD_ISB2_REG:           equ 0x59
Counter32_1_PERIOD_MSB_REG:            equ 0x5d
Counter32_1_COMPARE_LSB_REG:           equ 0x52   ; DR2 CompareValue register
Counter32_1_COMPARE_ISB1_REG:          equ 0x56
Counter32_1_COMPARE_ISB2_REG:          equ 0x5a
Counter32_1_COMPARE_MSB_REG:           equ 0x5e
Counter32_1_CONTROL_LSB_REG:           equ 0x53   ; Control register
Counter32_1_CONTROL_ISB1_REG:          equ 0x57
Counter32_1_CONTROL_ISB2_REG:          equ 0x5b
Counter32_1_CONTROL_MSB_REG:           equ 0x5f
Counter32_1_FUNC_LSB_REG:              equ 0x50   ; Function register
Counter32_1_FUNC_ISB1_REG:             equ 0x54
Counter32_1_FUNC_ISB2_REG:             equ 0x58
Counter32_1_FUNC_MSB_REG:              equ 0x5c
Counter32_1_INPUT_LSB_REG:             equ 0x51   ; Input register
Counter32_1_INPUT_ISB1_REG:            equ 0x55
Counter32_1_INPUT_ISB2_REG:            equ 0x59
Counter32_1_INPUT_MSB_REG:             equ 0x5d
Counter32_1_OUTPUT_LSB_REG:            equ 0x52   ; Output register
Counter32_1_OUTPUT_ISB1_REG:           equ 0x56
Counter32_1_OUTPUT_ISB2_REG:           equ 0x5a
Counter32_1_OUTPUT_MSB_REG:            equ 0x5e


;--------------------------------------------------
; Counter32_1 Macro 'Functions'
;--------------------------------------------------

   macro Counter32_1_Start_M
   or    reg[Counter32_1_CONTROL_LSB_REG],  Counter32_1_CONTROL_REG_START_BIT
   endm

   macro Counter32_1_Stop_M
   and   reg[Counter32_1_CONTROL_LSB_REG], ~Counter32_1_CONTROL_REG_START_BIT
   endm

   macro Counter32_1_EnableInt_M
   M8C_EnableIntMask Counter32_1_INT_REG, Counter32_1_INT_MASK
   endm

   macro Counter32_1_DisableInt_M
   M8C_DisableIntMask Counter32_1_INT_REG, Counter32_1_INT_MASK
   endm


; end of file Counter32_1.inc
