;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_G.inc
;;   Version: 2.5, Updated on 2008/11/17 at 11:19:15
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_G API's.
;--------------------------------------------------

PWM8_G_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_G_INT_REG:                            equ 0x0e1
PWM8_G_INT_MASK:                           equ 0x20


;--------------------------------------------------
; Constants for PWM8_G user defined values
;--------------------------------------------------

PWM8_G_PERIOD:                             equ 0xff
PWM8_G_PULSE_WIDTH:                        equ 0x7f


;--------------------------------------------------
; Register Address Constants for PWM8_G
;--------------------------------------------------

PWM8_G_COUNTER_REG:                    equ 0x34   ; DR0 Count register
PWM8_G_PERIOD_REG:                     equ 0x35   ; DR1 Period register
PWM8_G_COMPARE_REG:                    equ 0x36   ; DR2 Compare register
PWM8_G_CONTROL_REG:                    equ 0x37   ; Control register
PWM8_G_FUNC_REG:                       equ 0x34   ; Function register
PWM8_G_INPUT_REG:                      equ 0x35   ; Input register
PWM8_G_OUTPUT_REG:                     equ 0x36   ; Output register


;--------------------------------------------------
; PWM8_G Macro 'Functions'
;--------------------------------------------------

   macro PWM8_G_Start_M
   or    reg[PWM8_G_CONTROL_REG],  PWM8_G_CONTROL_REG_START_BIT
   endm

   macro PWM8_G_Stop_M
   and   reg[PWM8_G_CONTROL_REG], ~PWM8_G_CONTROL_REG_START_BIT
   endm

   macro PWM8_G_EnableInt_M
   M8C_EnableIntMask PWM8_G_INT_REG, PWM8_G_INT_MASK
   endm

   macro PWM8_G_DisableInt_M
   M8C_DisableIntMask PWM8_G_INT_REG, PWM8_G_INT_MASK
   endm


; end of file PWM8_G.inc
