//*****************************************************************************
//*****************************************************************************
//  FILENAME: PWM8_R.h
//   Version: 2.5, Updated on 2008/11/17 at 11:19:15
//  Generated by PSoC Designer ???
//
//  DESCRIPTION: PWM8 User Module C Language interface file
//               for the 22/24/27/29xxx PSoC family of devices
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

#pragma fastcall16 PWM8_R_EnableInt
#pragma fastcall16 PWM8_R_DisableInt
#pragma fastcall16 PWM8_R_Start
#pragma fastcall16 PWM8_R_Stop
#pragma fastcall16 PWM8_R_bReadCounter              // Read  DR0
#pragma fastcall16 PWM8_R_WritePeriod               // Write DR1
#pragma fastcall16 PWM8_R_bReadPulseWidth           // Read  DR2
#pragma fastcall16 PWM8_R_WritePulseWidth           // Write DR2

// The following symbols are deprecated.
// They may be omitted in future releases
//
#pragma fastcall16 bPWM8_R_ReadCounter              // Read  DR0 (Deprecated)
#pragma fastcall16 bPWM8_R_ReadPulseWidth           // Read  DR2 (Deprecated)


//-------------------------------------------------
// Prototypes of the PWM8_R API.
//-------------------------------------------------

extern void PWM8_R_EnableInt(void);                        // Proxy Class 1
extern void PWM8_R_DisableInt(void);                       // Proxy Class 1
extern void PWM8_R_Start(void);                            // Proxy Class 1
extern void PWM8_R_Stop(void);                             // Proxy Class 1
extern BYTE PWM8_R_bReadCounter(void);                     // Proxy Class 2
extern void PWM8_R_WritePeriod(BYTE bPeriod);              // Proxy Class 1
extern BYTE PWM8_R_bReadPulseWidth(void);                  // Proxy Class 1
extern void PWM8_R_WritePulseWidth(BYTE bPulseWidth);      // Proxy Class 1

// The following functions are deprecated.
// They may be omitted in future releases
//
extern BYTE bPWM8_R_ReadCounter(void);            // Deprecated
extern BYTE bPWM8_R_ReadPulseWidth(void);         // Deprecated


//--------------------------------------------------
// Constants for PWM8_R API's.
//--------------------------------------------------

#define PWM8_R_CONTROL_REG_START_BIT           ( 0x01 )
#define PWM8_R_INT_REG_ADDR                    ( 0x0e1 )
#define PWM8_R_INT_MASK                        ( 0x10 )


//--------------------------------------------------
// Constants for PWM8_R user defined values
//--------------------------------------------------

#define PWM8_R_PERIOD                          ( 0xff )
#define PWM8_R_PULSE_WIDTH                     ( 0x7f )


//-------------------------------------------------
// Register Addresses for PWM8_R
//-------------------------------------------------

#pragma ioport  PWM8_R_COUNTER_REG: 0x030                  //DR0 Count register
BYTE            PWM8_R_COUNTER_REG;
#pragma ioport  PWM8_R_PERIOD_REG:  0x031                  //DR1 Period register
BYTE            PWM8_R_PERIOD_REG;
#pragma ioport  PWM8_R_COMPARE_REG: 0x032                  //DR2 Compare register
BYTE            PWM8_R_COMPARE_REG;
#pragma ioport  PWM8_R_CONTROL_REG: 0x033                  //Control register
BYTE            PWM8_R_CONTROL_REG;
#pragma ioport  PWM8_R_FUNC_REG:    0x130                  //Function register
BYTE            PWM8_R_FUNC_REG;
#pragma ioport  PWM8_R_INPUT_REG:   0x131                  //Input register
BYTE            PWM8_R_INPUT_REG;
#pragma ioport  PWM8_R_OUTPUT_REG:  0x132                  //Output register
BYTE            PWM8_R_OUTPUT_REG;
#pragma ioport  PWM8_R_INT_REG:       0x0e1                //Interrupt Mask Register
BYTE            PWM8_R_INT_REG;


//-------------------------------------------------
// PWM8_R Macro 'Functions'
//-------------------------------------------------

#define PWM8_R_Start_M \
   PWM8_R_CONTROL_REG |=  PWM8_R_CONTROL_REG_START_BIT

#define PWM8_R_Stop_M  \
   PWM8_R_CONTROL_REG &= ~PWM8_R_CONTROL_REG_START_BIT

#define PWM8_R_EnableInt_M   \
   M8C_EnableIntMask(PWM8_R_INT_REG, PWM8_R_INT_MASK)

#define PWM8_R_DisableInt_M  \
   M8C_DisableIntMask(PWM8_R_INT_REG, PWM8_R_INT_MASK)


// end of file PWM8_R.h
