//*****************************************************************************
//*****************************************************************************
//  FILENAME: SDCard_1_SPI.h
//  Version: 1.2, Updated on 2008/11/17 at 11:18:58
//  Generated by PSoC Designer ???
//
//  DESCRIPTION:
//    SDCard_1 SDCard User Module low level SPI header file.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2000-2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

#ifndef SDCard_1_SPI_HEADER
#define SDCard_1_SPI_HEADER

#pragma fastcall16  SDCard_1_InitHdwr
#pragma fastcall16  SDCard_1_UnInitHdwr
#pragma fastcall16  SDCard_1_Select
#pragma fastcall16  SDCard_1_SendTxData
#pragma fastcall16  SDCard_1_bReadRxData
#pragma fastcall16  SDCard_1_bReadStatus
#pragma fastcall16  SDCard_1_WriteBuff256
#pragma fastcall16  SDCard_1_ReadBuff256
#pragma fastcall16  SDCard_1_WriteBuff
#pragma fastcall16  SDCard_1_ReadBuff

//-------------------------------------------------
// Prototypes of the SDCard_1 API.
//-------------------------------------------------
extern void  SDCard_1_InitHdwr(BYTE bConfiguration);
extern void  SDCard_1_UnInitHdwr(void);
extern void  SDCard_1_Select(BYTE bEnable);
extern void  SDCard_1_SendTxData(BYTE bTxData);
extern BYTE  SDCard_1_bReadRxData(void);
extern BYTE  SDCard_1_bReadStatus(void);
extern void  SDCard_1_WriteBuff256(char * sRamBuff);
extern void  SDCard_1_ReadBuff256(char * sRamBuff);
extern void  SDCard_1_WriteBuff(char * sRamBuff, BYTE bCnt);
extern void  SDCard_1_ReadBuff(char * sRamBuff, BYTE bCnt);


//-------------------------------------------------
// Constants for SDCard_1 API's.
//-------------------------------------------------

#define SDCard_1_ENABLE   1
#define SDCard_1_DISABLE  0

#define SDCard_1_INT_REG_ADDR                  ( 0x@SPIM__ISR_ADDR )
#define SDCard_1_bINT_MASK                     ( 0x@SPIM__ISR_MASK )

//*******************************
// SPI Configuration definitions
//*******************************
#define  SDCard_1_SPIM_MODE_0            0x00      // MODE 0 - Leading edge latches data - pos clock
#define  SDCard_1_SPIM_MSB_FIRST         0x00      // MSB bit transmitted/received first

//********************************
// SPI Status register masks
//********************************
#define  SDCard_1_SPIM_RX_OVERRUN_ERROR  0x40      // Overrun error in received data
#define  SDCard_1_SPIM_TX_BUFFER_EMPTY   0x10      // TX Buffer register is ready for next data byte
#define  SDCard_1_SPIM_RX_BUFFER_FULL    0x08      // RX Buffer register has received current data
#define  SDCard_1_SPIM_SPI_COMPLETE      0x20      // SPI Tx/Rx cycle has completed

//-------------------------------------------------
// Register Addresses for SDCard_1
//-------------------------------------------------
#pragma ioport  SDCard_1_CONTROL_REG:   0x02f              // Control register
BYTE            SDCard_1_CONTROL_REG;
#pragma ioport  SDCard_1_SHIFT_REG: 0x02c                  // TX Shift Register register
BYTE            SDCard_1_SHIFT_REG;
#pragma ioport  SDCard_1_TX_BUFFER_REG: 0x02d              // TX Buffer Register
BYTE            SDCard_1_TX_BUFFER_REG;
#pragma ioport  SDCard_1_RX_BUFFER_REG: 0x02e              // RX Buffer Register
BYTE            SDCard_1_RX_BUFFER_REG;
#pragma ioport  SDCard_1_FUNCTION_REG:  0x12c              // Function register
BYTE            SDCard_1_FUNCTION_REG;
#pragma ioport  SDCard_1_INPUT_REG: 0x12d                  // Input register
BYTE            SDCard_1_INPUT_REG;
#pragma ioport  SDCard_1_OUTPUT_REG:    0x12e              // Output register
BYTE            SDCard_1_OUTPUT_REG;  

#endif
// end of file SDCard_1.h
