;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: SDCard_1.inc
;;  Version: 1.2, Updated on 2008/11/17 at 11:18:58
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION:
;;    Assembler include file of SDCard_1 instance of SDCard
;;    user module.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2006. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

;--------------------------------------------------
; Register constants and masks
;--------------------------------------------------
SDCard_1_SPIM_MODE_0:             equ   00h      ; MODE 0 - Leading edge latches data - pos clock
SDCard_1_SPIM_MSB_FIRST:          equ   00h      ; MSB bit transmitted/received first

;---------------------------
; SPI Status register masks
;---------------------------
SDCard_1_SPIM_RX_OVERRUN_ERROR:   equ   40h      ; Overrun error in received data
SDCard_1_SPIM_TX_BUFFER_EMPTY:    equ   10h      ; TX Buffer register is ready for next data byte
SDCard_1_SPIM_RX_BUFFER_FULL:     equ   08h      ; RX Buffer register has received current data
SDCard_1_SPIM_SPI_COMPLETE:       equ   20h      ; SPI Tx/Rx cycle has completed

SDCard_1_ENABLE_PRESENT:  equ    0
SDCard_1_ENABLE_WPROTECT: equ    0


IF ( SDCard_1_ENABLE_WPROTECT)
SDCard_1_WP_Port:    equ   PRT@SD_WP_PortDR
SDCard_1_WP_Mask:    equ   0x@SD_WP_Pin_MASK
ENDIF


IF ( SDCard_1_ENABLE_PRESENT)
SDCard_1_CD_Port:    equ   PRT@SD_CD_PortDR
SDCard_1_CD_Mask:    equ   0x@SD_CD_Pin_MASK
ENDIF

SDCard_1_CS_Port:    equ   PRT2DR
SDCard_1_CS_Mask:    equ   0x1


;--------------------------------------------------
; Registers used by SDCard_1
;--------------------------------------------------
SDCard_1_CONTROL_REG:   equ 2fh                  ; Control register
SDCard_1_SHIFT_REG: equ 2ch                      ; TX Shift Register register
SDCard_1_TX_BUFFER_REG: equ 2dh                  ; TX Buffer Register
SDCard_1_RX_BUFFER_REG: equ 2eh                  ; RX Buffer Register
SDCard_1_FUNCTION_REG:  equ 2ch                  ; Function register
SDCard_1_INPUT_REG: equ 2dh                      ; Input register
SDCard_1_OUTPUT_REG:    equ 2eh                  ; Output register

; end of file SDCard_1.inc
