;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_B.inc
;;   Version: 2.5, Updated on 2008/11/17 at 11:19:15
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_B API's.
;--------------------------------------------------

PWM8_B_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_B_INT_REG:                            equ 0x0e1
PWM8_B_INT_MASK:                           equ 0x40


;--------------------------------------------------
; Constants for PWM8_B user defined values
;--------------------------------------------------

PWM8_B_PERIOD:                             equ 0xff
PWM8_B_PULSE_WIDTH:                        equ 0x7f


;--------------------------------------------------
; Register Address Constants for PWM8_B
;--------------------------------------------------

PWM8_B_COUNTER_REG:                    equ 0x38   ; DR0 Count register
PWM8_B_PERIOD_REG:                     equ 0x39   ; DR1 Period register
PWM8_B_COMPARE_REG:                    equ 0x3a   ; DR2 Compare register
PWM8_B_CONTROL_REG:                    equ 0x3b   ; Control register
PWM8_B_FUNC_REG:                       equ 0x38   ; Function register
PWM8_B_INPUT_REG:                      equ 0x39   ; Input register
PWM8_B_OUTPUT_REG:                     equ 0x3a   ; Output register


;--------------------------------------------------
; PWM8_B Macro 'Functions'
;--------------------------------------------------

   macro PWM8_B_Start_M
   or    reg[PWM8_B_CONTROL_REG],  PWM8_B_CONTROL_REG_START_BIT
   endm

   macro PWM8_B_Stop_M
   and   reg[PWM8_B_CONTROL_REG], ~PWM8_B_CONTROL_REG_START_BIT
   endm

   macro PWM8_B_EnableInt_M
   M8C_EnableIntMask PWM8_B_INT_REG, PWM8_B_INT_MASK
   endm

   macro PWM8_B_DisableInt_M
   M8C_DisableIntMask PWM8_B_INT_REG, PWM8_B_INT_MASK
   endm


; end of file PWM8_B.inc
