;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: PWM8_R.inc
;;   Version: 2.5, Updated on 2008/11/17 at 11:19:15
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the PWM8 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for PWM8_R API's.
;--------------------------------------------------

PWM8_R_CONTROL_REG_START_BIT:              equ 0x01    ; Control register start bit
PWM8_R_INT_REG:                            equ 0x0e1
PWM8_R_INT_MASK:                           equ 0x10


;--------------------------------------------------
; Constants for PWM8_R user defined values
;--------------------------------------------------

PWM8_R_PERIOD:                             equ 0xff
PWM8_R_PULSE_WIDTH:                        equ 0x7f


;--------------------------------------------------
; Register Address Constants for PWM8_R
;--------------------------------------------------

PWM8_R_COUNTER_REG:                    equ 0x30   ; DR0 Count register
PWM8_R_PERIOD_REG:                     equ 0x31   ; DR1 Period register
PWM8_R_COMPARE_REG:                    equ 0x32   ; DR2 Compare register
PWM8_R_CONTROL_REG:                    equ 0x33   ; Control register
PWM8_R_FUNC_REG:                       equ 0x30   ; Function register
PWM8_R_INPUT_REG:                      equ 0x31   ; Input register
PWM8_R_OUTPUT_REG:                     equ 0x32   ; Output register


;--------------------------------------------------
; PWM8_R Macro 'Functions'
;--------------------------------------------------

   macro PWM8_R_Start_M
   or    reg[PWM8_R_CONTROL_REG],  PWM8_R_CONTROL_REG_START_BIT
   endm

   macro PWM8_R_Stop_M
   and   reg[PWM8_R_CONTROL_REG], ~PWM8_R_CONTROL_REG_START_BIT
   endm

   macro PWM8_R_EnableInt_M
   M8C_EnableIntMask PWM8_R_INT_REG, PWM8_R_INT_MASK
   endm

   macro PWM8_R_DisableInt_M
   M8C_DisableIntMask PWM8_R_INT_REG, PWM8_R_INT_MASK
   endm


; end of file PWM8_R.inc
